Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service4

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service4

public class Service4 extends Object

## Constructor Summary

Constructors
Constructor
Description
`Service4()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`customBind(ServiceInterface1 service)`
`protected void`
`customUnbind(ServiceInterface1 service)`
`ServiceInterface1`
`getReference1()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service4

public Service4()

## Method Details

### getReference1

public ServiceInterface1 getReference1()

### customBind

protected void customBind(ServiceInterface1 service)

### customUnbind

protected void customUnbind(ServiceInterface1 service)